# Asterisk Project : Asterisk 12 Function_JITTERBUFFER

Added by wikibot , edited by wikibot on Aug 29, 2013

# JITTERBUFFER()

### Synopsis

Add a Jitterbuffer to the Read side of the channel. This dejitters the audio stream before it reaches the Asterisk core. This is a write only function.

### Description

max_size: Defaults to 200 ms

Length in milliseconds of buffer.

resync_threshold: Defaults to 1000ms

The length in milliseconds over which a timestamp difference will result in resyncing the jitterbuffer.

target_extra: Defaults to 40ms

This option only affects the adaptive jitterbuffer. It represents the amount time in milliseconds by which the new jitter buffer will pad its size.

Examples:

exten => 1,1,Set(JITTERBUFFER(fixed)=default);Fixed with defaults.

exten => 1,1,Set(JITTERBUFFER(fixed)=200);Fixed with max size 200ms, default resync threshold and target extra.

exten => 1,1,Set(JITTERBUFFER(fixed)=200,1500);Fixed with max size 200ms resync threshold 1500.

exten => 1,1,Set(JITTERBUFFER(adaptive)=default);Adaptive with defaults.

exten => 1,1,Set(JITTERBUFFER(adaptive)=200,,60);Adaptive with max size 200ms, default resync threshold and 40ms target extra.

exten => 1,n,Set(JITTERBUFFER(disabled)=);Remove previously applied jitterbuffer

Note

Icon

If a channel specifies a jitterbuffer due to channel driver configuration and the JITTERBUFFER function has set a jitterbuffer for that channel, the jitterbuffer set by the JITTERBUFFER function will take priority and the jitterbuffer set by the channel configuration will not be applied.

### Syntax

    JITTERBUFFER(jitterbuffer type)

##### Arguments

- `jitterbuffer type` - Jitterbuffer type can be `fixed`, `adaptive`, or `disabled`.
  Used as follows.
  Set(JITTERBUFFER(type)=max_size[,resync_threshold[,target_extra]])
  Set(JITTERBUFFER(type)=default)

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown